Bug 76079 - redhat-config-printer-tui crashes when sending test page
redhat-config-printer-tui crashes when sending test page
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
8.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-16 13:20 EDT by Patrice Dumas
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-16 05:34:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
config file for the printers (3.74 KB, text/plain)
2002-10-16 13:21 EDT, Patrice Dumas
no flags Details

  None (edit)
Description Patrice Dumas 2002-10-16 13:20:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I run redhat-config-printer-tui
I select the printer I want to test.
I choose test.
I choose the right page format
A4 postscript testpage
When I choose test, it crashes. 
It works, nevertheless and prints the right test page.
Note: I configured those printers on redhat 7.3 and used
printconf-tui --Ximport < /etc/cired_printers.xml and no manual 
configuration.

Here is the traceback

Traceback (most recent call last):
  File "/usr/sbin/redhat-config-printer-tui", line 8, in ?
    printconf_tui.startup_and_find_cmd()
  File "/usr/share/printconf/util/printconf_tui.py", line 2319, in
startup_and_find_cmd
    main.cmd_handlers[cmd]()
  File "/usr/share/printconf/util/printconf_tui.py", line 1974, in tui_main_run
    qld_run()
  File "/usr/share/printconf/util/printconf_tui.py", line 1888, in qld_run
    test_queue_dialog(queue_dict)
  File "/usr/share/printconf/util/printconf_tui.py", line 1766, in test_queue_dialog
    tui_info(_("Sent %s to \"%s\".") % (text, queue_name))
UnicodeError: ASCII decoding error: ordinal not in range(128)



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use the file I provide in additional informations to configure the printers 
2.run redhat-config-printers-tui
3.choose the default printer kfet-direct
4.choose test
5.choose A4 postscript
6.choose test
7.go to your printer to see the page ;)
	

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/redhat-config-printer-tui", line 8, in ?
    printconf_tui.startup_and_find_cmd()
  File "/usr/share/printconf/util/printconf_tui.py", line 2319, in
startup_and_find_cmd
    main.cmd_handlers[cmd]()
  File "/usr/share/printconf/util/printconf_tui.py", line 1974, in tui_main_run
    qld_run()
  File "/usr/share/printconf/util/printconf_tui.py", line 1888, in qld_run
    test_queue_dialog(queue_dict)
  File "/usr/share/printconf/util/printconf_tui.py", line 1766, in test_queue_dialog
    tui_info(_("Sent %s to \"%s\".") % (text, queue_name))
UnicodeError: ASCII decoding error: ordinal not in range(128)


Expected Results:  no crash ;)

Additional info:

<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1024590208">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <kfet-direct ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_type TYPE="STRING" VALUE="JETDIRECT"/>
          <queue_data TYPE="LIST">
            <jetdirect_ip TYPE="STRING" VALUE="193.51.120.82"/>
            <jetdirect_port TYPE="STRING" VALUE="9100"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <mf_type TYPE="STRING" VALUE="POSTSCRIPT"/>
            <page_size TYPE="STRING" VALUE="A4"/>
            <flags TYPE="LIST">
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              </flags>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          </kfet-direct>
        <couloir-direct ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_type TYPE="STRING" VALUE="JETDIRECT"/>
          <queue_data TYPE="LIST">
            <jetdirect_ip TYPE="STRING" VALUE="193.51.120.80"/>
            <jetdirect_port TYPE="STRING" VALUE="9100"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <mf_type TYPE="STRING" VALUE="POSTSCRIPT"/>
            <page_size TYPE="STRING" VALUE="A4"/>
            <flags TYPE="LIST">
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              </flags>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          </couloir-direct>
        <kfet-lpd ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_type TYPE="STRING" VALUE="LPD"/>
          <queue_data TYPE="LIST">
            <lpd_server TYPE="STRING" VALUE="193.51.120.82"/>
            <lpd_queue TYPE="STRING" VALUE=""/>
            <lpd_strict_rfc1179 TYPE="BOOL" VALUE="FALSE"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <mf_type TYPE="STRING" VALUE="POSTSCRIPT"/>
            <page_size TYPE="STRING" VALUE="A4"/>
            <flags TYPE="LIST">
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              </flags>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          </kfet-lpd>
        <couloir-lpd ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_type TYPE="STRING" VALUE="LPD"/>
          <queue_data TYPE="LIST">
            <lpd_server TYPE="STRING" VALUE="193.51.120.80"/>
            <lpd_queue TYPE="STRING" VALUE=""/>
            <lpd_strict_rfc1179 TYPE="BOOL" VALUE="FALSE"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <mf_type TYPE="STRING" VALUE="POSTSCRIPT"/>
            <page_size TYPE="STRING" VALUE="A4"/>
            <flags TYPE="LIST">
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              </flags>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          </couloir-lpd>
        </print_queues>
      </printconf>
    </datatree>
  </adm_context>
Comment 1 Patrice Dumas 2002-10-16 13:21:30 EDT
Created attachment 80685 [details]
config file for the printers
Comment 2 Tim Waugh 2002-10-17 04:55:54 EDT
What does 'locale' say?
Comment 3 Patrice Dumas 2002-10-17 11:55:42 EDT
locale says
[root@hermes src]# locale
LANG=fr_FR.UTF-8
LC_CTYPE="fr_FR.UTF-8"
LC_NUMERIC="fr_FR.UTF-8"
LC_TIME="fr_FR.UTF-8"
LC_COLLATE="fr_FR.UTF-8"
LC_MONETARY="fr_FR.UTF-8"
LC_MESSAGES="fr_FR.UTF-8"
LC_PAPER="fr_FR.UTF-8"
LC_NAME="fr_FR.UTF-8"
LC_ADDRESS="fr_FR.UTF-8"
LC_TELEPHONE="fr_FR.UTF-8"
LC_MEASUREMENT="fr_FR.UTF-8"
LC_IDENTIFICATION="fr_FR.UTF-8"
LC_ALL=
Comment 4 Tim Waugh 2002-12-13 07:19:34 EST
Okay, I see the same here in that locale.
Comment 5 Tim Waugh 2003-01-16 05:34:39 EST
Fixed package is redhat-config-printer-0.6.36-1, which will shortly appear in
rawhide.
Comment 6 Paul Anderson 2004-03-04 18:35:17 EST
I have AS version 2.1 (.27 kernel) with this same problem.  There is 
no fix for my version that I can find.  The version you cite here is 
for 3.0.  Please advise.

Paul
Comment 7 Tim Waugh 2004-03-05 05:09:18 EST
I have opened a separate report for this for Red Hat Enterprise Linux:
bug #117553.  Please add further comments there.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.